package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 门店店员对象 fs_store_shop_staff
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreShopStaff extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 微信用户id */
    @Excel(name = "微信用户id")
    private Long userId;

    /** $column.columnComment */
    @Excel(name = "微信用户id")
    private String nickname;

    /** 店员头像 */
    @Excel(name = "店员头像")
    private String avatar;

    /** 门店id */
    @Excel(name = "门店id")
    private Long storeId;

    /** $column.columnComment */
    @Excel(name = "门店id")
    private String storeName;

    /** 店员名称 */
    @Excel(name = "店员名称")
    private String staffName;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phone;

    /** 核销开关 */
    @Excel(name = "核销开关")
    private Integer verifyStatus;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** $column.columnComment */
    @Excel(name = "状态")
    private Integer isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setNickname(String nickname) 
    {
        this.nickname = nickname;
    }

    public String getNickname() 
    {
        return nickname;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }
    public void setStoreId(Long storeId) 
    {
        this.storeId = storeId;
    }

    public Long getStoreId() 
    {
        return storeId;
    }
    public void setStoreName(String storeName) 
    {
        this.storeName = storeName;
    }

    public String getStoreName() 
    {
        return storeName;
    }
    public void setStaffName(String staffName) 
    {
        this.staffName = staffName;
    }

    public String getStaffName() 
    {
        return staffName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setVerifyStatus(Integer verifyStatus) 
    {
        this.verifyStatus = verifyStatus;
    }

    public Integer getVerifyStatus() 
    {
        return verifyStatus;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("nickname", getNickname())
            .append("avatar", getAvatar())
            .append("storeId", getStoreId())
            .append("storeName", getStoreName())
            .append("staffName", getStaffName())
            .append("phone", getPhone())
            .append("verifyStatus", getVerifyStatus())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
